/************************************************************************
 *                                                                      *
 * Project: KAF - Khelben Arcade Frontend                               *
 *                                                                      *
 * Author: Marco Mastroddi <marco.mastroddi@libero.it>                  *
 *                                                                      *
 ************************************************************************
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 ************************************************************************/

/*
 *    File    : gameitem.h
 */




#ifndef KAF_GAMEITEM_H
#define KAF_GAMEITEM_H

#include <qlistview.h>

class Game;
class QString;
class Options;


class GameItem : public QListViewItem
{
  Game *mp_game;
  bool m_iconLoaded;

public:
  GameItem( QListView* parent, Game* pGame );
  ~GameItem();

  static int countAttributes();
  static QString attributeName( int );
  static int attributeWidth( int );

  Game* game() { return mp_game; }

  void refreshFields();

protected:
  void setIcon();


};

#endif /* KAF_GAMEITEM_H */

